commit 4828abe494df8fb4aa00dcaa22a03446ba418d01
Author: Matthieu Herrb <matthieu@herrb.eu>
Date:   Sat Nov 25 11:59:31 2017 +0100

    libXcursor 1.1.15
    
    Signed-off-by: Matthieu Herrb <matthieu@herrb.eu>

commit 4794b5dd34688158fb51a2943032569d3780c4b8
Author: Tobias Stoeckmann <tobias@stoeckmann.org>
Date:   Sat Oct 21 23:47:52 2017 +0200

    Fix heap overflows when parsing malicious files. (CVE-2017-16612)
    
    It is possible to trigger heap overflows due to an integer overflow
    while parsing images and a signedness issue while parsing comments.
    
    The integer overflow occurs because the chosen limit 0x10000 for
    dimensions is too large for 32 bit systems, because each pixel takes
    4 bytes. Properly chosen values allow an overflow which in turn will
    lead to less allocated memory than needed for subsequent reads.
    
    The signedness bug is triggered by reading the length of a comment
    as unsigned int, but casting it to int when calling the function
    XcursorCommentCreate. Turning length into a negative value allows the
    check against XCURSOR_COMMENT_MAX_LEN to pass, and the following
    addition of sizeof (XcursorComment) + 1 makes it possible to allocate
    less memory than needed for subsequent reads.
    
    Signed-off-by: Tobias Stoeckmann <tobias@stoeckmann.org>
    Reviewed-by: Matthieu Herrb <matthieu@herrb.eu>

commit 75b10c972d15c036a692ef4590a81a6c54d384f6
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 13:52:49 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 721901fec3d829426d7c8df82a14beb11905c7a8
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 860bda4cb1f126f42cfc255c958aa3c7be17f3c6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 897213f36baf6926daf6d192c709cf627aa5fd05
Author: shubham shrivastav <shubham.sh@samsung.com>
Date:   Fri Jun 5 13:36:22 2015 -0700

    Insufficient memory for terminating null of string in _XcursorThemeInherits
    
    Fix does one byte of memory allocation for null termination of string.
    https://bugs.freedesktop.org/show_bug.cgi?id=90857
    
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit edf52212a09bd80b52dc9932b5ca19e20dfcaa2b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 18 10:52:49 2014 -0700

    Fix some clang integer sign/size mismatch warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bbf3c582c97af3abfaf81e3ca63646d59fe6e28a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 18 10:24:13 2014 -0700

    Use strdup() instead of malloc(strlen())+strcpy()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2e6bda49d062d5064efe66a066558f7d1eec7e78
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:39:32 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b1df53701f40959ac66c26ca2e5263bb521d0ebb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:38:41 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f92f118047ee8cea7dbbc734d476225f033ba0b7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed May 29 23:22:29 2013 -0700

    libXcursor 1.1.14
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8f677eaea05290531d007d1fec2768119926088d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 12 21:17:28 2013 -0700

    signedness bug & integer overflow in _XcursorFileHeaderCreate() [CVE-2013-2003]
    
    When parsing cursor files, a user defined (e.g. through environment
    variables) cursor file is opened and parsed.
    
    The header is read in _XcursorReadFileHeader(), which reads an unsigned
    int for the number of toc structures in the header, but it was being
    passed to _XcursorFileHeaderCreate() as a signed int to allocate those
    structures.  If the number was negative, it would pass the bounds check
    and could overflow the calculation for how much memory to allocate to
    store the data being read, leading to overflowing the buffer with the
    data read from the user controlled file.
    
    Reported-by: Ilja Van Sprundel <ivansprundel@ioactive.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1b98fd6a2e8c00a563187849a585e68c7344468b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jan 15 18:51:39 2013 -0800

    Replace deprecated Automake INCLUDES variable with AM_CPPFLAGS
    
    Excerpt https://lists.gnu.org/archive/html/automake/2012-12/msg00038.html
    
      - Support for the long-deprecated INCLUDES variable will be removed
        altogether in Automake 1.14.  The AM_CPPFLAGS variable should be
        used instead.
    
    This variable was deprecated in Automake releases prior to 1.10, which is
    the current minimum level required to build X.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2a9eaf3305d1577ad763d56dddd46e10f8d0676b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Mar 7 18:54:15 2012 -0800

    libXcursor 1.1.13
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8229cf75b34c2991eaf973f05326be9bfa16ef0c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Nov 24 13:10:15 2011 -0800

    XcursorImageLoadCursor: return failure if _XcursorGetDisplayInfo fails
    
    Error: Null pointer dereference (CWE 476)
       Read from null pointer 'info'
            at line 615 of src/cursor.c in function 'XcursorImageLoadCursor'.
              Function '_XcursorGetDisplayInfo' may return constant 'NULL' at line 134, called at line 597.
              Null pointer introduced at line 134 of src/display.c in function '_XcursorGetDisplayInfo'.
    
    [ This bug was found by the Parfait 0.3.7 bug checking tool.
      For more information see http://labs.oracle.com/projects/parfait/ ]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 2b8d373bddf427bcd95e2595cb64740ebd1d0d30
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Nov 24 12:59:56 2011 -0800

    XcursorFileSaveImages: plug memory leak on invalid input
    
    Error: Memory leak (CWE 401)
       Memory leak of pointer 'comments' allocated with XcursorCommentsCreate(0)
            at line 982 of src/file.c in function 'XcursorFileSaveImages'.
              'comments' allocated at line 978 with XcursorCommentsCreate(0).
              comments leaks when comments != 0 at line 981.
    
    [ This bug was found by the Parfait 0.3.7 bug checking tool.
      For more information see http://labs.oracle.com/projects/parfait/ ]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit bcfb8e8ce56cf47bc6a61bd8c896bafba9e2a9c2
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Thu Sep 22 14:43:38 2011 +0100

    Add generated Xcursor.h to .gitignore
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by:  Gaetan Nadon <memsize@videotron.ca>
    Tested-by: Gaetan Nadon <memsize@videotron.ca>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 862b9ce4aa819bf87b6e24db9d7d5867cbaa577c
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Wed Sep 21 20:50:46 2011 +0100

    Fix install of generated Xcursor.h when builddir != srcdir
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by:  Gaetan Nadon <memsize@videotron.ca>
    Tested-by: Gaetan Nadon <memsize@videotron.ca>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 334dc4f4df69d780f312f23b860df11bee5e9009
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 21:41:41 2011 -0700

    Set Xcursor.h version numbers from configure.ac
    
    Based on similar commit dac73a519816 to libXft
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit e086eb1bf49f2a8c270eaebd5beb595c1dc2973e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 21:26:17 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{\s+$}{\n}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d79ddc01e4b247ae95af3581b93aef2b93e76888
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jun 29 21:41:09 2011 -0700

    libXcursor 1.1.12
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4ce23fcd978ed389ea30315c0e02629a31bda265
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 22 12:55:31 2011 -0700

    Mark bitmasks as unsigned ints
    
    Clears Sun compiler warnings from shifting 8 bits by 24 bits:
    "cursor.c", line 215: warning: integer overflow detected: op "<<"
    "cursor.c", line 280: warning: integer overflow detected: op "<<"
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 047993c76a677ca12a2b575990b99e3ddbc0dd58
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat May 7 10:16:18 2011 -0700

    Correct error handling in _XcursorAverageColor
    
    Previously it would either div-zero or get stuck in a loop until int overflow
    if called with a bad value.
    
    cursor.c:214:32: warning: Division by zero
        return (0xff << 24) | ((red/npixels) << 16) | ((green/npixels) << 8) | (blue/npixels);
    
    Found-by: clang static analyzer
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit bee68e54e5c3a4b9f46c81366a720531e3e07a82
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Apr 1 12:16:23 2011 +0100

    Free the FontInfo structure after loading the cursor from it.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=2731
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit f49e7e1608f2dac140f60bcae21d5c37f79fc41b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Apr 1 12:15:46 2011 +0100

    Free the partial header after failing to open the cursor.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 073eb2c56f4794275eee40a825dbfe1232bb2690
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Apr 1 12:14:51 2011 +0100

    Free list on shutdown.
    
    We freed the parent structure without freeing the list contained within,
    making valgrind unhappy.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit de50317ec4e0e8da7de84e85d1f7a6d2e184d58b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 2 17:08:19 2011 -0500

    config: perform XCURSORPATH formatting in man/Makefile.am
    
    We can skip the extra step of using XCURSORPATH_LIST in configure.ac.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a929c3621b9da8e56ce1223afd3e487fc488fa47
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 2 11:43:41 2011 -0500

    config: comment, minor upgrade, quote and layout configure.ac
    
    Group statements per section as per Autoconf standard layout
    Quote statements where appropriate.
    Autoconf recommends not using dnl instead of # for comments
    
    Use AC_CONFIG_FILES to replace the deprecated AC_OUTPUT with parameters.
    
    This helps automated maintenance and release activities.
    Details can be found in http://wiki.x.org/wiki/NewModuleGuidelines
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 96c5877fd7ebc59569f140d9e2cb30fdb8371ef1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 28 19:41:37 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4f7a749fcb7a8e93d40a7621fa1c159e003b2f5c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 28 16:07:07 2011 -0500

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    This silences an Automake warning.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c38adc6bf116146fa1e291b9f4deed45497e5c2e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 27 18:50:14 2011 -0500

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 731e84d79e83b59d022d0f453b245696b4d2750f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Oct 27 22:48:19 2010 -0700

    libXcursor 1.1.11
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 42b7717c32b3c7097180667a9ba2f62e40fc6506
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Aug 16 19:28:57 2010 -0400

    man: whitespace management
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 862bc06d58152e74e85fc29db7eaec06af20e00b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Aug 16 19:25:25 2010 -0400

    man: reorder makefile statements
    
    No functional change. Shadows are part of libman_PRE.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b18568dd5b5a11ae49cad66a54ec50465c6ffa77
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Aug 16 19:17:21 2010 -0400

    man: store shadow man pages in git rather than generating them
    
    Simplify the build process and the makefile.
    
    Local fix in CVS for bug 5628 is not required
    as the problem has been fixed in
    util-macros d9062e4077ebfd0985baf8418f3d0f111b9ddbba
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 68d830bcf67632b474c8996b6a2c9bcde8e27f97
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Aug 16 19:05:35 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 0caadca51ca56a2ae2cfe67cbd2b29e89b6a68d8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 16:50:33 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b511b260ddcec34035c1d97285f27f3182663a6a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 14:53:48 2010 -0400

    config: remove the pkgconfig pc.in file from EXTRA_DIST
    
    Automake always includes it in the tarball.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a3e03bb23bf7a92bf20d51eebe692e0a4f667065
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Feb 16 10:37:21 2010 -0500

    config: move CWARNFLAGS from configure.ac to Makefile.am
    
    Compiler warning flags should be explicitly set in the makefile
    rather than being merged with other packages compiler flags.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8198d1490959d49573790405e205a471ac7a5b98
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Nov 27 20:56:04 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit ecddb70049a1e79b88d4d647f7e944237055fa2e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:10 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 02cd3d7a617c71dbc13023f91f41b896dc260c50
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:25 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 1ca6aefa6690930b336490525f5ed515ddad26ac
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:42 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 1c158db62ad2c7584d88e840f3c7fe151de84150
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:19 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 5e14cd9bd8a8f9266ecaa69d58c15d8e298d8a78
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:24 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit fbf229879370a96a070ebf087426f6f6c0dbe5a2
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Aug 28 14:49:15 2009 +1000

    libXcursor 1.1.10
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 59e3f6520f4d1682d3242d1d5656e7972cf11944
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Feb 2 20:34:32 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit f00ae32322d2b3c5d97724b80c72d3e2d0812935
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Thu Jan 29 15:34:11 2009 -0200

    Janitor: make distcheck, compiler warnings, extra .gitignore files.

commit 04641d3cc3e2f7389c5a3ea6e1d55543e033153f
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Mar 9 00:34:36 2008 +0100

    nuke RCS Ids

commit 94531dc8f6eff9c9f5cbb18ca6b3d4ff79eec752
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:38:25 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit a4f29e6deef2bf46cae811aaac1f535945cd9fee
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 24 14:01:07 2007 -0700

    Version bump: 1.1.9

commit 5a2601740d04d4180e77695c4b60f2cf5c84be6c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Aug 22 19:40:55 2007 -0700

    Make shadow man pages for each function

commit fef474da694ea3c1fd184d93cc07bf8d95f89327
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Aug 21 19:45:35 2007 -0700

    Add XCURSOR_PATH to man page

commit a9ccf1bd91ad6e06f7b7116efe836c365b68645b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Aug 21 19:33:00 2007 -0700

    Use cursorpath found by configure in man page

commit 110131bd40d0fc042f4a81922372307a1582b591
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sat May 12 22:42:08 2007 +0200

    Added object files to .gitignore.

commit 3c5d4f591ce0b473af9f693cfe25a1506cc573d6
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sat May 12 22:41:27 2007 +0200

    Store the cursor names in one large string.
    
    This means the compiler doesn't need to place the array in the
    read-write sections of the DSO, which means less relocations
    when the library is loaded and a smaller memory footprint.

commit 8b73dc04111c1910a6467417133a44d0aa29c6ac
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Fri Oct 13 16:01:17 2006 -0400

    Bump to 1.1.8

commit 9df9640643fae7b922b18ee219d6d9694345df14
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Oct 10 14:57:16 2006 -0700

    Fix many sparse warnings: Using plain integer as NULL pointer

commit b6b9f5885566e4c2df8e3319fe092c22f319983f
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Oct 10 13:46:17 2006 -0700

    Fix lint warning: deallocating a pointer that could be NULL: library.c(266)

commit d0e12a97849871b0b2af04bf8d7a3839c54b31a8
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Oct 10 13:33:33 2006 -0700

    Add XORG_WITH_LINT to allow checking code with lint/sparse/etc.

commit 932965298c244553f303fab3bdf23941cc40bb23
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Oct 6 16:44:37 2006 -0700

    Use $prefix & $ICONDIR settings from configure for default path in manpage
    
    (Stop hardcoding /usr/X11R6 & /usr/share in the paths shown.)

commit f591196271e53c64e27cf41e5b6ae844a480cb3d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Oct 6 16:22:52 2006 -0700

    Xcursor.man formatting cleanups

commit 3c5f5860d6f85230f417ce6af30fc73ab75c437b
Author: Bart Massey <bart@po8.org>
Date:   Tue Sep 12 09:02:54 2006 -0700

    Added missing dependency

commit c7d048dacf3fce6f3121cf0114fd08bb130130b8
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Aug 24 19:21:47 2006 -0700

    Use version number from configure.ac in Xcursor.man instead of "Version 1.0"

commit 8c73ee726016dae6f56195d44339b4729121bcf2
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Aug 24 18:42:36 2006 -0700

    Add *~ to .gitignore to skip over emacs droppings

commit c7886900f180da2c460d0a5926daee787e7258ea
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Aug 24 18:42:03 2006 -0700

    Man page typo fixes (pimaps, directorys)

commit e0a501e91c270c0e99a55aa568f6df0d3d6e541d
Author: Chris Wilson <cpwilson@taz.qinetiq.com>
Date:   Sat Aug 12 19:55:44 2006 +0300

    fix leak in header destruction
    Fix a couple of if (!foo) free(foo); tests.

commit 2f08984396552c0719fbc3d3e1148157a1423376
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jul 13 14:58:50 2006 -0700

    renamed: .cvsignore -> .gitignore

commit c6f65af419d14a753459a71a671baafd84fa1330
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Jun 3 10:23:57 2006 +0000

    Bug #5268: Fix small memory leak. (Matthias Clasen). Change some return 0s
        to NULL. Bump to 1.1.7.

commit 8adc6fe181991af8befb0f365360e9a68357da29
Author: Eric Anholt <anholt@freebsd.org>
Date:   Thu Apr 27 17:26:28 2006 +0000

    Look for cursors in datadir, not always /usr/share.

commit 3c69a6ef12aa43d5c9cc5cfbd76c6bea1fa2bd00
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu Apr 27 00:04:48 2006 +0000

    Bump to 1.1.6

commit f9bc007d71f58db93b7eadeb8c77d0f90379c620
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Apr 7 00:58:59 2006 +0000

    Coverity #159: Prevent a possible NULL chase.

commit 1f862e619f12b54bee2efbb66f77c750184b191f
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Mar 4 21:00:40 2006 +0000

    Bug #4439: Include Xlib.h.

commit 461b3c5c0e47eed1b4abf5189ba92bb70d700fa1
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:29 2005 +0000

    Update package version number for final X11R7 release candidate.

commit aed42762a9fcfcf1b7729dc0a7014ea679d309eb
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Dec 9 19:28:41 2005 +0000

    Add icondir to xcursor.pc to be used when installing cursors.

commit 189c9672264c4b62f18f9da9422375b216dc7037
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 8 17:55:19 2005 +0000

    Add configure options to allow hard-coded paths to be changed.

commit b8c92a26d01b14cb9d27cd30d261e24833d0c728
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 8 17:54:40 2005 +0000

    Allow hard-coded paths to be configurable.

commit af09e8d8edb7d68367399336ca3163df4c713ffa
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:42 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 47043f5e93df6a806bf298eca309e05159c271df
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:43 2005 +0000

    Update package version number for X11R7 RC3 release.

commit a3ddd7c6aa895dd373a73957f0b18181d7f8f486
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:03:05 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 328e88110f43b18268c1fde62e9ce7247a797699
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Nov 19 07:15:41 2005 +0000

    Update pkgconfig files to separate library build-time dependencies from
        application build-time dependencies, and update package deps to work
        with separate build roots.

commit 54d9a60a1891c1c1938db00d835b8fe0a12327c6
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Nov 13 17:59:28 2005 +0000

    Use $(LIB_MAN_SUFFIX) instead of forcing man page into section 3.

commit f0dfdfc7b4ee020ffb83a9179b9d4d4a6139b5e1
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:31:19 2005 +0000

    Bump version numbers for X11R6.9/X11R7 RC2.

commit c0773eea4b50162ae0b9b624a46079e71b8e49c2
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:19:12 2005 +0000

    Update package version number for X11R7 RC2 release.

commit 345cf369206f0a2a03e842a108bd8f068da36d3f
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Nov 1 15:11:51 2005 +0000

    Update pkgcheck dependencies to work with separate build roots.

commit 7c7bdccde9d2208a9330099e3cd21060c60638be
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Oct 19 22:26:55 2005 +0000

    Bug #4244: Make XcursorSetTheme(dpy, NULL) restore the default theme.
        (Frederico Mena-Quintero)

commit 4d4de72c697217ac155231d1761db065c9a778ee
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:09 2005 +0000

    Update package version number for RC1 release.

commit b1bc7d7328ff2741e1c13151799422fee9e6d0cd
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Oct 13 02:22:47 2005 +0000

    Use troff macros to prevent cpp eating C comments & #defines that are
        supposed to appear in man page output.

commit 08ccddfa98d3e4daa9993a206ec0fa3cf9329cd1
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 11 01:37:44 2005 +0000

    Define HAVE_XFIXES

commit 7a5e36017905a3b7fe70362dc9712654c816c6a5
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Aug 3 03:28:01 2005 +0000

    Do PKG_CHECK_MODULES on a unique token instead of on "DEP", so builds with
        a global configure cache don't get confused.

commit af4b88bba232af55484e8b82ce8abab6013e985e
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:51 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit b34368c667bd47db56bc7e2b36710a22bc3862b0
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Jul 16 06:35:32 2005 +0000

    Change soversion to 1.0.2 with -version-number.

commit 9ffefcd641352900f9bf7cb06cbe04e91714b490
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jul 9 06:13:36 2005 +0000

    Add .cvsignore files Switch _la_CFLAGS for AM_CFLAGS to clean up directory

commit b5a724c201e0881fcb22738560597e333c39ba12
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jul 8 05:02:01 2005 +0000

    Make sure XFIXES appears in LIBS line, fix up other pkg-config usage.

commit 45b0f06f132347e5eaabbc5ff294bc9016de75dd
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Jul 3 07:00:56 2005 +0000

    Add Xtrans definitions (FONT_t, TRANS_CLIENT) to clean up warnings.
    Add XSERV_t, TRANS_SERVER, TRANS_REOPEN to quash warnings.
    Add #include <dix-config.h> or <xorg-config.h>, as appropriate, to all
        source files in the xserver/xorg tree, predicated on defines of
        HAVE_{DIX,XORG}_CONFIG_H. Change all Xfont includes to
        <X11/fonts/foo.h>.

commit c010a3f076b2f93e2baf4a9472bf5f132266d2db
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Jul 3 00:02:27 2005 +0000

    There are no manpages in this directory, so don't try to include them in
        EXTRA_DIST. Should fix the build.
    Reported by: tinderbox

commit 0881bb3ce0ea793e279fcc8ddd16de6ed7e17471
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Jul 2 06:35:03 2005 +0000

    Add appropriate lib*_CFLAGS to Makefile.am's -- fixes build problems

commit caa910e492e4d15208f3d179021687c25a84f36e
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Jun 29 18:46:53 2005 +0000

    Import Xcursor 1.1.4 from freedesktop.org xlibs tree.

commit e67de73f5ca7ae854c18fa1500c8eaf412b44c6c
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Mon Jun 13 16:44:53 2005 +0000

    Bug #1043: Fix leak when creating animated cursors.

commit 89e52cde6eaf5e2d46198ee2fa16b67ef7e1dd32
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed Jun 8 20:51:37 2005 +0000

    Remove experiment with calling the man page file 4x

commit 5589b4f6a36f2c039adc81fa4d406574eeef35b3
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed Jun 8 20:44:18 2005 +0000

    Remove all the not found with pkgconfig stuff

commit 4070c0af6c7bfe12218181d56e8e3cbb86006d27
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed Jun 8 19:15:43 2005 +0000

    - Add Xcursor build system

commit 50911b052ce90d41cd0ae71f83352ffa45e7c0a4
Author: Markus Kuhn <Markus.Kuhn@cl.cam.ac.uk>
Date:   Sat Dec 4 00:42:47 2004 +0000

    Encoding of numerous files changed to UTF-8

commit cbcf471d9157c88a506cd3f067253c8e64cb8e08
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 18:43:40 2004 +0000

    Merging XORG-CURRENT into trunk

commit fb1739bd2272fa45d9c04fe40517468a49660b37
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:32:05 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit bfcfbe061fb492f58ee6bd6dc6e90cedd1cccbbb
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:11:23 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit c450b7450372fa2f6660dafcbd3fb7cec9e046df
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:35:32 2004 +0000

    readding XFree86's cvs IDs

commit 79b8e8b996311665ae1fc8fa7e7d38270b3d9570
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:22:42 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit b39c8ec34b4464f78db534355541a4eb5688a999
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Thu Dec 4 22:02:56 2003 +0000

    XFree86 4.3.99.901 (RC 1)

commit 969878fc6fed5e43b4f7e2e3ee46835d93d30dfd
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:28:09 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit 8387908965317cc3cf2072187c20f617609a13b7
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:48 2003 +0000

    XFree86 4.3.0.1

commit 3b84b14bf06840d5cd446f2aba495108d23d66d7
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:48 2003 +0000

    Initial revision
